Package org.eclipse.cdt.utils.coff

# Class Coff64.Reloc

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64.Reloc

Enclosing class:
  `Coff64`

public static class Coff64.Reloc extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`r_symndx`
`int`
`r_type`
`int`
`r_vaddr`
`static final int`
`RELSZ`

## Constructor Summary

Constructors
Constructor
Description
`Reloc(RandomAccessFile file)`
`Reloc(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### RELSZ

public static final int RELSZ

See Also:
  - Constant Field Values

### r_vaddr

public int r_vaddr

### r_symndx

public int r_symndx

### r_type

public int r_type

## Constructor Details

### Reloc

public Reloc(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### Reloc

public Reloc(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`